Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155867 - usermode-gtk applications don't set icons for their windows
Summary: usermode-gtk applications don't set icons for their windows
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: usermode
Version: 4
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-25 03:03 UTC by Wei-Lun Chao
Modified: 2013-07-02 23:07 UTC (History)
1 user (show)

Fixed In Version: 1.80-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-11 12:29:53 UTC


Attachments (Terms of Use)

Description Wei-Lun Chao 2005-04-25 03:03:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-TW; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
when usermode-gtk is opened in GNOME
and under the metacity window manager,
the icon on the title bar is not it's
own icon.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.execute usermode-gtk

Additional info:

Comment 1 Jindrich Novy 2005-04-25 07:51:07 UTC
你好 Zhao Weilun,

you possibly mean to execute any of the usermode-gtk application such as
userpasswd, etc. I'm not a metacity user at all so maybe there's some kind of
incompatibility here in contrast with another window managers?

Ray, is there something on the usermode side I can fix to let the correct icon
be displayed in the title bar? Maybe some additional tweaks to *.desktop files
are needed?

Comment 2 Ray Strode [halfline] 2005-04-25 16:34:11 UTC
Hi Jindrich,

The icons in desktop files are not automatically associated with window icons.

You can either call

gtk_window_set_icon_name (window, "the-icon-name");

for a specific window or

gtk_window_set_default_icon_name ("the-icon-name");

so it will happen for all windows.

"the-icon-name" is the name listed in the [Desktop Entry] section of the
.desktop file on the line that starts with Icon=



Comment 3 Jindrich Novy 2005-05-03 10:37:56 UTC
Ray, thanks, now I know what reporter actually wants.

Comment 4 Jindrich Novy 2005-05-11 12:29:53 UTC
This is now fixed.


Note You need to log in before you can comment on or make changes to this bug.